module Network.HTTP.Pony.Serve.Wai.Type where


import Data.ByteString (ByteString)
import Data.CaseInsensitive (CI)
import qualified Network.HTTP.Pony.Transformer.HTTP.Type as HTTP

type MessageType = (ByteString, [(CI ByteString, ByteString)])

type Request = HTTP.Request MessageType ByteString IO ()
type Response = HTTP.Response MessageType ByteString IO ()

type App = Request -> IO Response
